Intermittent test_splitter.xul | application terminated with exit code -11, with ASAN error about sanitizer_common.h:336 "((i)) < ((size_))"

RESOLVED WORKSFORME

Status

()

RESOLVED WORKSFORME
3 years ago
a year ago

People

(Reporter: KWierso, Unassigned)

Tracking

({intermittent-failure})

46 Branch
intermittent-failure
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

Relevant snippet from log:

 05:46:16     INFO -  1202 INFO TEST-OK | layout/xul/test/test_splitter.xul | took 1082ms
[SNIP]
 05:46:22     INFO -  ==4092==AddressSanitizer CHECK failed: /builds/slave/moz-toolchain/src/llvm/projects/compiler-rt/lib/sanitizer_common/sanitizer_common.h:336 "((i)) < ((size_))" (0x8fac, 0x8fac)
 05:46:22     INFO -  TEST-INFO | Main app process: killed by SIGSEGV
 05:46:22     INFO -  1203 INFO TEST-START | Shutdown
[SNIP]
 05:46:22  WARNING -  TEST-UNEXPECTED-FAIL | layout/xul/test/test_splitter.xul | application terminated with exit code -11


Looks like ASAN is catching an out-of-bounds access here, though I don't see any backtrace in the log, so it's hard to know why/where.
Summary: Intermittent test_splitter.xul | application terminated with exit code -11 → Intermittent test_splitter.xul | application terminated with exit code -11, with ASAN error about sanitizer_common.h:336 "((i)) < ((size_))"
Status: NEW → RESOLVED
Last Resolved: 2 years ago
Resolution: --- → WORKSFORME
1 failures in 901 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* try: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1242712&startday=2017-08-07&endday=2017-08-13&tree=all
1 failures in 908 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-central: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1242712&startday=2017-08-21&endday=2017-08-27&tree=all
You need to log in before you can comment on or make changes to this bug.